> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone a Voice

> Clone a voice based on a file containing an audio recording of an existing voice

<Info>Voice cloning is currently only supported in English.</Info>


## OpenAPI

````yaml POST /voices/clone
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /voices/clone:
    post:
      description: >-
        Clone a voice based on a file containing an audio recording of an
        existing voice
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The audio file to use for cloning the voice
      responses:
        '200':
          description: Success response with voice details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Voice'
        '400':
          description: The audio file is invalid or does not contain any speech
components:
  schemas:
    Voice:
      type: object
      properties:
        voice:
          type: string
          description: The voice ID of the voice
        language:
          type: string
          description: The language of the voice
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````